## Map Rules ##
gamerule globalmute true
immutableworld true
gamerule commandBlockOutput false
gamerule sendcommandfeedback false
gamerule doFireTick false
gamerule doInsomnia false
gamerule tntExplodes false
gamerule doTileDrops false
gamerule allowdestructiveobjects false
gamerule randomtickspeed 0
execute @a ~ ~ ~ gamemode s
effect @p clear
effect @p instant_health 99999 255 true
effect @p saturation 99999 255 true

## Activity reset ##

function activity1/reset
function activity2/reset
function activity3/reset
function activity4/reset

## Mobs ##

gamerule domobspawning false
gamerule allowmobs true
gamerule doMobLoot false
gamerule mobGriefing false
gamerule doEntityDrops false
difficulty peaceful

## Time ##

gamerule doDaylightCycle false
time set noon

## Weather ##

gamerule doWeatherCycle false
weather clear

## Player ##
ability @a worldbuilder false
gamerule drowningDamage false
gamerule fallDamage false
gamerule fireDamage false
gamerule pvp false
gamerule doimmediaterespawn true
gamerule keepInventory true
gamerule showdeathmessages false
gamerule naturalregeneration true
gamerule showCoordinates true
xp -200L @a
setworldspawn 10 40 -5
TP @p 10 40 -5 180
TP @c 1000 ~ ~ 
clear @p

## Scoreboards ##

scoreboard objectives add activity dummy Activity
scoreboard players set @p activity -1
scoreboard objectives add bugs dummy Bugs
scoreboard players set @p bugs 0

## Clear Agent Inventory ##

execute @p ~ ~ ~ replaceitem entity @c slot.inventory 0 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 1 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 2 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 3 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 4 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 5 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 6 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 7 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 8 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 9 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 10 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 11 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 12 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 13 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 14 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 15 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 16 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 17 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 18 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 19 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 20 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 21 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 22 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 23 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 24 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 25 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 26 air

kill @e[type=item]


## Actionbar
titleraw @p actionbar {"rawtext":[{"translate":"start.actionbar.ceo"}]}


## MarkDown Link ##
codebuilder navigate @p false https://minecraft.makecode.com/?ipc=1&inGame=1&noRunOnX=1#tutorial:Mojang/EducationContent/python/noCodingRequired

## Gates ##
function lift/startliftopen
function gates/activitygates

gamerule globalmute false

## Map Extra ##


tp @e[type=cow] 1000 ~ ~
tp @e[type=pig] 1000 ~ ~
tp @e[type=sheep] 1000 ~ ~
tp @e[type=horse] 1000 ~ ~
tp @e[type=rabbit] 1000 ~ ~

remove @e[type=cow]
remove @e[type=pig]
remove @e[type=sheep]
remove @e[type=horse]
remove @e[type=rabbit]


